POST
/reserved_ips/private-ip/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/reserved_ips/private-ip/?project_id=<PROJECT_ID>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "network_id": "51117", "my_account_project_id": 46594, "my_account_location": "Delhi"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/reserved_ips/private-ip/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "network_id": "51117", "my_account_project_id": 46594, "my_account_location": "Delhi", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/reserved_ips/private-ip/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "network_id": "51117", "my_account_project_id": 46594, "my_account_location": "Delhi" }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
location
string
Example
DelhiFilter by location
active_iam
integer
Example
6706Active IAM ID
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
network_id
required
The VPC network ID to reserve the IP from
string
Example
51117my_account_project_id
required
The MyAccount project ID associated with the VPC
integer
Example
46594my_account_location
required
The location of the VPC
string
Example
DelhiResponses
Section titled “Responses”IP reserved from VPC successfully
Media typeapplication/json
object
code
integer
data
object
id
integer
ip_address
string format: ipv4
service_name
string
created_at
string format: date-time
status
string
reserved_by
object
id
integer
name
string
email
string format: email
username
string
service_type
string
service_id
integer
location
string
egress_ip
string format: ipv4
myaccount_project_id
integer
vpc_details
object
dns
string
name
string
price
string
state
string
subnets
Array<object>
object
location
string
vm_count
integer
ipv4_cidr
string
is_active
boolean
pool_size
integer
created_at
string format: date-time
gateway_ip
string format: ipv4
is_e2e_vpc
boolean
network_id
integer
gateway_node
object
state
string
node_id
integer
node_name
string
ip_address_public
string format: ipv4
ip_address_private
string format: ipv4
network_mask
string
project_name
string
committed_info
object
committed_details
Array<object>
object
committed_days
integer
committed_sku_id
integer
committed_sku_name
string
committed_sku_price
number
committed_upto_date
string
committed_node_message
string
connection_status
string
errors
object
message
string
Example
{ "code": 200, "data": { "id": 1403, "ip_address": "10.8.220.9", "service_name": "", "created_at": "2026-03-09T04:54:03.613008Z", "status": "Available", "reserved_by": { "id": 12477, "name": "xyz", "email": "abc@e2enetworks.com", "username": "abc@e2enetworks.com" }, "service_type": "", "service_id": null, "location": "Delhi", "egress_ip": "10.8.220.10", "myaccount_project_id": 46594, "vpc_details": { "dns": "8.8.8.8 8.8.4.4", "name": "VPC-681", "price": "Rs. 4.8/Hour or Rs. 3500.0 Monthly", "state": "Active", "subnets": [], "location": "Delhi", "vm_count": 0, "ipv4_cidr": "10.8.220.0/23", "is_active": true, "pool_size": 512, "created_at": "2026-02-02T15:45:15.336925Z", "gateway_ip": "10.8.220.1", "is_e2e_vpc": true, "network_id": 51117, "gateway_node": { "state": "Running", "node_id": 292409, "node_name": "VPC-681-gateway", "ip_address_public": "164.52.211.67", "ip_address_private": "10.8.220.1" }, "network_mask": "255.255.254.0", "project_name": "test", "committed_info": null, "committed_details": [ { "committed_days": 30, "committed_sku_id": 9798, "committed_sku_name": "30 Days Committed , Rs. 3500.0", "committed_sku_price": 3500, "committed_upto_date": "08-April-2026 04:54", "committed_node_message": "This committed node will be reserved for next 30 days ( till 08-April-2026 04:54). The cost Rs. 3500.0 of this node will be added in next invoice." } ] }, "connection_status": "Idle" }, "errors": {}, "message": "Success"}